Skip to main content
GET
/
v2
/
user-uploads
List all user uploads
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/user-uploads \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "01320596-2c3d-189c-53e7-a8ce6d625b33",
    "account": "01856c65-43b6-8b5d-b32a-56b8fbda5c28",
    "document_type": "proof-of-identity",
    "file_url": "www.argyle.com/storagename",
    "file_name": "my_drivers_license.pdf",
    "metadata": {
      "employment": null,
      "ocr_data": null,
      "ocr_authenticity": null,
      "ocr_authenticity_score": null
    },
    "processing": {
      "classification": "unauthorized",
      "ocr": "unauthorized",
      "authenticity": "unauthorized"
    },
    "created_at": "2024-07-08T13:43:49.864Z",
    "updated_at": "2024-07-08T13:43:51.868Z"
  }
]

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Query Parameters

account
string<uuid>

Filter by account ID.

user
string<uuid>

Filter by user ID.

document_type
string<uuid>

Filter by document_type.

limit
integer

Number of user upload objects returned per page. Default: 10. Maximum: 200.

Response

200 - application/json

An array of user upload objects.

id
string<uuid>

Unique ID of the uploaded document.

account
string<uuid>

ID of the account associated with the uploaded document.

document_type
string

The document category in Link the user selected, or the document_type provided when uploading via the API.

If OCR processing is enabled, this value is overwritten when the document is found to be a different type.

Possible values:

  • paystubs
  • W-2
  • 1099
  • proof-of-identity
  • proof-of-address
  • miscellaneous
file_url
string

URL linking to the original uploaded document file.

This static URL redirects to a download page that requires Argyle authentication headers.

Implementation requirements for client-side applications

  1. Ensure your HTTP client or library (for example, Axios or Python requests) is configured to follow redirects.
  2. Append Basic authentication headers for Argyle to the file download request.
file_name
string

File name of the uploaded document on the user's computer or phone.

metadata
object

Contains document OCR and authenticity information.

processing
object

Contains OCR processing statuses.

created_at
string<datetime>

Timestamp (ISO 8601) when the uploaded document was submitted.

updated_at
string<datetime>

Timestamp (ISO 8601) when the user upload object was last updated.